<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [DarknetServerDetails](./bitburner.darknetserverdetails.md) &gt; [difficulty](./bitburner.darknetserverdetails.difficulty.md)

## DarknetServerDetails.difficulty property

The difficulty rating of the server, associated with its original depth in the net

**Signature:**

```typescript
difficulty: number;
```
